### Method

# FwupdPlugin Device set_battery_threshold

#### Declaration [src]

    void
    fu_device_set_battery_threshold (
      FuDevice* self,
      guint battery_threshold
    )

#### Description [src]

Sets the battery level, or `FWUPD_BATTERY_LEVEL_INVALID` for the default.

Setting this allows fwupd to show a warning if the device change is too low to perform the update.

Available since: | 1.6.0

#### Parameters

`battery_threshold` | `guint`
| The percentage value.